# Method: mediaItems.patch

- [HTTP request](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#body.request_body)
- [Response body](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#body.aspect)
- [Try it!](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch#try-it)

Update the app created media item with the specified `id`. Only the `id` and `description` fields of the media item are read. The media item must have been created by the developer via the API.

### HTTP request

`PATCH https://photoslibrary.googleapis.com/v1/mediaItems/{mediaItem.id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `mediaItem.id` | `string` Identifier for the media item. This is a persistent identifier that can be used between sessions to identify this media item. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Indicate what fields in the provided media item to update. The only valid value is `description`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/photos/library/reference/rest/v1/mediaItems#MediaItem`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/photos/library/reference/rest/v1/mediaItems#MediaItem`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photoslibrary.edit.appcreateddata`